/**
 * Arduino Uno - NeoPixel Voltmeter
 * v. 1.0
 * Copyright (C) 2015 Robert Ulbricht
 * see <http://www.arduinoslovakia.eu>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <Adafruit_NeoPixel.h>

// Which pin on the Arduino is connected to the NeoPixels?
#define PIN            6

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS      8

// Voltmeter
#define POT1 A0

// LED light
#define INTENSITY 128

// When we setup the NeoPixel library, we tell it how many pixels, and which pin to use to send signals.
// Note that for older NeoPixel strips you might need to change the third parameter--see the strandtest
// example for more information on possible values.
Adafruit_NeoPixel pixels = Adafruit_NeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);

void setup()
{
pixels.begin(); // This initializes the NeoPixel library.
}

void loop()
{
int val=analogRead(POT1);
int d=val/128;
for(int i=0;i<NUMPIXELS;i++)
  {
  if(i<d) pixels.setPixelColor(i, INTENSITY,0,0);
  else if(i==d) 
          pixels.setPixelColor(i, val%128*INTENSITY/128,0,0);
  else    pixels.setPixelColor(i, 0,0,0);
  }
pixels.show();
}

